.circle {
    z-index: -1;
    position: fixed;
}

.section_news_detail h2 {
    line-height: 3vh;
    min-height: 6vh
}

.news_detail_wrap {
    display: block;
}

.news_detail {
    max-width: 24%;
    display: flex;
    flex-direction: column;
    height: 52vh;
}


.news_detail img {
    object-fit: cover;
    height: 10vw;
    width: 10vw;
}

.news_read_more .news_detail_content {
    display: block;
    font-size: 1.2vw;
    font-weight: 500;
    text-align: left;
    margin-left: 0;
}

.news_read_more .news_detail_date {
    position: static;
    color: #6e7082;
    font-size: 1vw;
    font-weight: 400;
    text-align: left;
    margin: 1vw 0;
    padding: 0;
    border-radius: 0;
    background: none;
    line-height: normal;
    width: auto;
}

.news_detail_date {
    color: #6e7082;
    font-size: 0.9vw;
    font-weight: 400;
    padding: 0.5vh 0.7vw;
    border-radius: 1vw;
    background: #f4f4f4;
    line-height: 2vh;
    width: max-content;
}

.news_detail_text {
    color: #000000;
    line-height: 1vw;
    max-height: 7vw;
    overflow: hidden;

    padding-top: 2vh;
    min-height: 6vw;
}

.news_detail_purple_cirlce {
    position: absolute;
    filter: blur(10.75em);
    background: #854385;
    border-radius: 50%;
    width: 32.375em;
    height: 32.375em;
    left: 45vw;
    top: -3em;
    z-index: -1;
}

.news_detail_orange_cirlce {
    position: absolute;
    filter: blur(11.75em);
    background: #F6785C;
    border-radius: 50%;
    width: 32.375em;
    height: 32.375em;
    left: 60em;
    top: 11em;
    z-index: -2;
}

.news_detail_block {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    gap: 1vw;
}

.news_read_more {
    display: flex;
    gap: 1vw;
}



.news-other .block_read_also_news {
    width: 23%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin: 3vh 0;
    padding: 0;
    border: none;
    background: none;
}

.news-other .read_also_btn {
    display: block;
    color: #ffffff;
    font-size: 1vw;
    font-weight: 400;
    text-align: center;
    box-sizing: border-box;
    border-radius: 0.8vh;
    background: #854385;
    padding: 1vh 0;
}

.read_also_btn {
    display: none;
}

.block_read_also_news {
    position: relative;
    padding: 2vh;
    box-sizing: border-box;
    border: 0.1vw solid #F4F4F4;
    border-radius: 0.3vw;
    margin-bottom: 1.5vh;
    background: #ffffff;
}

.preview_picture {
    object-fit: cover;
    border-radius: 0.5vh;
    width: 100%;
   aspect-ratio: 1;
}

.news_logo_block {
    max-width: 10vw;
    overflow: hidden;
}

.news-other .news_preview a {
    display: block;
}

.news_preview a {
    display: flex;
}

.news_detail_content {
    margin-left: 3vh;
}

.news_detail_content {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
}

.news-other .news_logo_block {
    max-width: 100%;
    border-radius: 0.8vh;
}

.d-flex.block-button {
    display: flex;
    justify-content: space-between;
}

.news-content .ubtn.ubtn_default {
    max-width: 48%;
    display: flex;
    align-items: center;
    margin-top: 3vh;
    justify-content: center;
}

.news-other {
    padding-top: 3vh;
}

.news-custom-list {
    background: white;
    padding: 2vh;
    border-radius: 1vh;
    opacity: 0.9;
    border: 0.1vh solid #F4F4F4;
}

.news {
    margin-bottom: 3vh;
    padding: 0;
}

.news-custom-detail h2 {
    font-size: 1.5vw;
    margin-top: 3vh;
}
.page-content {
    display: flex;
    justify-content: space-between;
    margin-top: 3vh;
    gap: 1.5em;
}

@media screen and (orientation: landscape) {
    .news {
        min-height: 105vh;
    }
}

.news_read_more .news_detail_date{
    display: none;
}

.news_read_more .news_detail_text{
    margin-bottom: 1em;
}


#paginationContainer{
    padding: 1em 0;
    margin-top: 2em;
    display: flex;
    justify-content: center;
    border-top: 0.1em solid rgb(217, 217, 217);
    border-bottom: 0.1em solid rgb(217, 217, 217);
    font-size: 1rem;
}

#paginationContainer .pagination-btn{
    padding: 0 1em;
    font-size: 1.3em;
    font-weight: bold;
}
#paginationContainer .pagination-btn:hover{
    color: #854385;
}

#paginationContainer .pagination-btn.active {
    position: relative; /* Добавляем позиционирование */
}

#paginationContainer .pagination-btn.active::after{
    content: ""; /* Обязательный параметр */
    position: absolute;
    border-bottom: 0.2em solid #854385; /* Линия под активной кнопкой */
    bottom: -0.8em; /* Смещаем вниз */
    left: 0;
    width: 100%;
}

@media screen and (orientation: portrait) {
    .news .news_detail_links_wrap {
        margin: 5vw 3vw 1em;
        border-radius: 1.3vw;
        max-width: 100%;
        position: relative;
        right: auto;

    }

    .news {
        display: flex;
        flex-direction: column-reverse;
        margin-bottom: 0;
    }

    .news-custom-detail h2 {
        font-size: 6.4vw;
        margin-top: 3vw;
    }

    .block_read_also_news {
        position: relative;
        padding: 3vw;
        border: 0.5vw solid #F4F4F4;
        border-radius: 1.3vw;
        margin-bottom: 3vw;
        width: 100%;
    }

    .news-other .news_logo_block {
        width: 100%;
        margin-bottom: 3vw;
        aspect-ratio: 1;
    }

    .news_read_more .news_detail_date {
        font-size: 4.5vw;
        padding: 5vw 0;
        border-radius: 3vw;
        line-height: 3vw;
        margin-top: 5vw;
        left: 3vw;
    }

    .news_preview a {
        gap: 4vw;
    }
    .news .preview_picture {
        margin-bottom: 0
    }
    .news_detail_content {
        margin-left: 0;
    }
    .news .preview_picture img {
        width: 30vw;
    }
    .news_logo_block {
        max-width: 30vw;
        min-width: 30vw;
    }
    .news_detail_date {
        font-size: 4.5vw;
        margin-top: .5em;
    }
    .news_detail_text {
        line-height: 5vw;
        font-size: 4.5vw;
        max-height: 100%;
        padding-top: 0;
    }

    .news_detail_link {
        padding: 3vw 3vw 2vw;
    }

    .news_detail_link a {
        font-size: 4.5vw;
        line-height: normal;
    }

    .news_detail_purple_cirlce {
        filter: blur(15vw);
        border-radius: 50%;
        width: 90vw;
        height: 90vw;
        right: 36vw;
        top: 100vw;
    }

    .news_detail_orange_cirlce {
        filter: blur(15vw);
        border-radius: 50%;
        width: 90vw;
        height: 90vw;
        right: 0vw;
        top: 132vw;
    }

    .d-flex.block-button {
        flex-direction: row;
    }

    .news_read_more {
        gap: 5vw;
        width: 100%;
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    .news-other .block_read_also_news {
        width: 100%;
    }

    .news-other .read_also_btn {
        font-size: 4.5vw;
    }

    .page-content {
        flex-direction: column;
        gap: 0;
    }

    .news-custom-detail h2 {
        font-size: 6.4vw;
        margin-top: 3vw;
    }
    #paginationContainer{
        margin-bottom: 2em;
    }
}